org.apache.maven.artifact.transform

## Class DefaultArtifactTransformationManager

- java.lang.Object
- - org.apache.maven.artifact.transform.DefaultArtifactTransformationManager

All Implemented Interfaces:
  ArtifactTransformationManager

    public class DefaultArtifactTransformationManager
    extends java.lang.Object
    implements ArtifactTransformationManager

### Field Summary

### Fields inherited from interface org.apache.maven.artifact.transform.ArtifactTransformationManager

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`DefaultArtifactTransformationManager()`

### Method Summary

Methods
`void` `initialize()`
`void` `transformForDeployment(Artifact artifact, ArtifactRepository remoteRepository, ArtifactRepository localRepository)` Take in a artifact and return the transformed artifact for distributing toa remote repository.
`void` `transformForInstall(Artifact artifact, ArtifactRepository localRepository)` Take in a artifact and return the transformed artifact for locating in the local repository.
`void` `transformForResolve(Artifact artifact, java.util.List<ArtifactRepository> remoteRepositories, ArtifactRepository localRepository)` Take in a artifact and return the transformed artifact for locating in the remote repository.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultArtifactTransformationManager

    public DefaultArtifactTransformationManager()

### Method Detail

#### initialize

    public void initialize()
                    throws InitializationException

Throws:
  `InitializationException`

#### transformForResolve

    public void transformForResolve(Artifact artifact,
                           java.util.List<ArtifactRepository> remoteRepositories,
                           ArtifactRepository localRepository)
                             throws ArtifactResolutionException,
                                    ArtifactNotFoundException

Description copied from interface: `ArtifactTransformationManager`
Take in a artifact and return the transformed artifact for locating in the remote repository. If no transformation has occured the original artifact is returned.

Specified by:
  `transformForResolve` in interface `ArtifactTransformationManager`
Parameters:
  `artifact` - Artifact to be transformed.
  `remoteRepositories` - the repositories to check
  `localRepository` - the local repository
Throws:
  `ArtifactResolutionException`
  `ArtifactNotFoundException`

#### transformForInstall

    public void transformForInstall(Artifact artifact,
                           ArtifactRepository localRepository)
                             throws ArtifactInstallationException

Description copied from interface: `ArtifactTransformationManager`
Take in a artifact and return the transformed artifact for locating in the local repository. If no transformation has occured the original artifact is returned.

Specified by:
  `transformForInstall` in interface `ArtifactTransformationManager`
Parameters:
  `artifact` - Artifact to be transformed.
  `localRepository` - the local repository it will be stored in
Throws:
  `ArtifactInstallationException`

#### transformForDeployment

    public void transformForDeployment(Artifact artifact,
                              ArtifactRepository remoteRepository,
                              ArtifactRepository localRepository)
                                throws ArtifactDeploymentException

Description copied from interface: `ArtifactTransformationManager`
Take in a artifact and return the transformed artifact for distributing toa remote repository. If no transformation has occured the original artifact is returned.

Specified by:
  `transformForDeployment` in interface `ArtifactTransformationManager`
Parameters:
  `artifact` - Artifact to be transformed.
  `remoteRepository` - the repository to deploy to
  `localRepository` - the local repository the metadata is stored in
Throws:
  `ArtifactDeploymentException`